RTIME(3)

NAME
rtime - get remote time

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/time.h>
#include <netinet/in.h>
int
rtime(struct sockaddr_in *addrp, struct timeval *timep, struct timeval *timeout);

DESCRIPTION
The rtime() function consults the Internet Time Server at the address pointed to by addrp and returns the remote time in the timeval struct pointed to by timep. Normally, the UDP protocol is used when consulting the Time Server. The timeout argument specifies how long the routine should wait before giving up when waiting for a reply. If timeout is specified as NULL, however, the routine will instead use TCP and block until a reply is received from the time server.

RETURN VALUES

SEE ALSO
timed(8)